Subject: [os2genau_digest] No. 1753
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Sat, 6 Dec 2008 00:00:45 AET-10EDT,10,1,0,7200,4,1,0,7200,3600

**************************************************
Friday 05 December 2008
 Number  1753
**************************************************

Subjects for today
 
1  Re:  large drives and long JFS format : Ian Manners" <deadmail>
2  Re:  large drives and long JFS format : Ed Durrant <edurrant at durrant dot mine dot nu>
3  Re:  large drives and long JFS format : Mike O'Connor <mikeoc at internode.on dot net>
4  Re:  large drives and long JFS format : Ed Durrant <edurrant at durrant dot mine dot nu>
5  Re:  large drives and long JFS format : Mike O'Connor <mikeoc at internode.on dot net>

**= Email   1 ==========================**

Date:  Fri, 05 Dec 2008 11:49:30 +1100 (EDT)
From:  "Ian Manners" <deadmail>
Subject:  Re:  large drives and long JFS format

Hi Ed,

>I wonder why this version of LVM is not shipped with eCS 2.0 RC ?? Is 
>there a possible conflict with other software ?

No idea, I've used it for a while without any problems.

>I'm guessing the update file you name is on os2site ?

in the SWC section so you will need to get it from ecomstation dot com
if you are registered. I've checked and its there as the exe
version.

>I've just remembered this is a SATA-II drive on a SATA-I controller, so 
>this will take longer, but days that does seem to be a real restriction 
>to using current sized drives under eCS. I know one would normally long 
>format the drive but I have had some large copies fail to it and it was 
>one suggestion to see if the problem was with the format on the drive.

There is also a thread on it at os2world dot com.
It appears some people have problems with drives greater than
500Gb, I've been running a 5xxGb Seagate SATA-II drive now for
at least 12 months with no problems so I wonder if their problem
is a combination of things, Dani's driver ?
Would need some indepth testing to find out.

Hmm, that is also a possibility, maybe it only works with IBM's
IDE driver and not Dani's and that might be the reason its not
shipped with eCS RC's ?

Cheers
Ian Manners
http://www.os2site dot com/

----------------------------------------------------------------------------------
 
**= Email   2 ==========================**

Date:  Fri, 05 Dec 2008 13:26:28 +1100
From:  Ed Durrant <edurrant at durrant dot mine dot nu>
Subject:  Re:  large drives and long JFS format

Hi Ian,

Already found the file at ecomstation dot com and have installed it all OK 
(the exe needs the -d to break out the subdirectories of course, 
something that is often forgotten).

As for it being used with IBM rather than DANI, I didn't think the IBM 
driver supported SATA drives does it ?

Cheers/2

Ed.

Ian Manners wrote:
> Hi Ed,
>
>   
>> I wonder why this version of LVM is not shipped with eCS 2.0 RC ?? Is 
>> there a possible conflict with other software ?
>>     
>
> No idea, I've used it for a while without any problems.
>
>   
>> I'm guessing the update file you name is on os2site ?
>>     
>
> in the SWC section so you will need to get it from ecomstation dot com
> if you are registered. I've checked and its there as the exe
> version.
>
>   
>> I've just remembered this is a SATA-II drive on a SATA-I controller, so 
>> this will take longer, but days that does seem to be a real restriction 
>> to using current sized drives under eCS. I know one would normally long 
>> format the drive but I have had some large copies fail to it and it was 
>> one suggestion to see if the problem was with the format on the drive.
>>     
>
> There is also a thread on it at os2world dot com.
> It appears some people have problems with drives greater than
> 500Gb, I've been running a 5xxGb Seagate SATA-II drive now for
> at least 12 months with no problems so I wonder if their problem
> is a combination of things, Dani's driver ?
> Would need some indepth testing to find out.
>
> Hmm, that is also a possibility, maybe it only works with IBM's
> IDE driver and not Dani's and that might be the reason its not
> shipped with eCS RC's ?
>
> Cheers
> Ian Manners
> http://www.os2site dot com/
>

>  
> ===========================================
>   

----------------------------------------------------------------------------------

**= Email   3 ==========================**

Date:  Fri, 05 Dec 2008 13:00:29 +1000
From:  Mike O'Connor <mikeoc at internode.on dot net>
Subject:  Re:  large drives and long JFS format

Ed Durrant wrote:
> Hi Ian,
>
> Already found the file at ecomstation dot com and have installed it all OK 
> (the exe needs the -d to break out the subdirectories of course, 
> something that is often forgotten).
>
> As for it being used with IBM rather than DANI, I didn't think the IBM 
> driver supported SATA drives does it ?
>
> Cheers/2
>
> Ed. 
Hi Ed,

You mainly need the updated os2dasd.dmd with the /FULLSIZE switch - from 
first usage - i.e. a virgin disk - clean it off with DFSee! See the 
contents of idedasd.txt as passed in PM.

Regards,
Mike
----------------------------------------------------------------------------------

**= Email   4 ==========================**

Date:  Fri, 05 Dec 2008 14:18:45 +1100
From:  Ed Durrant <edurrant at durrant dot mine dot nu>
Subject:  Re:  large drives and long JFS format

Mike O'Connor wrote:
> Ed Durrant wrote:
>> Hi Ian,
>>
>> Already found the file at ecomstation dot com and have installed it all 
>> OK (the exe needs the -d to break out the subdirectories of course, 
>> something that is often forgotten).
>>
>> As for it being used with IBM rather than DANI, I didn't think the 
>> IBM driver supported SATA drives does it ?
>>
>> Cheers/2
>>
>> Ed. 
> Hi Ed,
>
> You mainly need the updated os2dasd.dmd with the /FULLSIZE switch - 
> from first usage - i.e. a virgin disk - clean it off with DFSee! See 
> the contents of idedasd.txt as passed in PM.
>
> Regards,
> Mike
 
>
> 

>
Is it relevant that this is SATA not IDE as you refer to IDEDASD.TXT and 
as per my other e-mail, this is not a bottable system disk only a data 
drive.

Cheers/2

Ed.
----------------------------------------------------------------------------------

**= Email   5 ==========================**

Date:  Fri, 05 Dec 2008 13:32:50 +1000
From:  Mike O'Connor <mikeoc at internode.on dot net>
Subject:  Re:  large drives and long JFS format

Ed Durrant wrote:
> Is it relevant that this is SATA not IDE as you refer to IDEDASD.TXT 
> and as per my other e-mail, this is not a bottable system disk only a 
> data drive.
>
> Cheers/2
>
> Ed.
Hi Ed,

SATA is still IDE, same as PATA is [Integrated Drive Electronics]!
Still handled by OS2DASD.DMD - but ANY non-booting drives larger than 
512GB need to have the /FULLSIZE switch - and it needs to be on a clean 
- empty disk. Still using DANIS506.ADD not IMBS506.ADD!

5.4. Serial ATA for Intel Chipsets Considerations
_________________________________________________

The IBM1S506.ADD driver automatically detects Intel Serial ATA and Parallel
ATA controllers described in section 5.1 and enables the highest possible
DMA/UDMA modes for all drives. For PATA devices (know also as standard IDE
devices or ATA devices) the maximum transfer rate for Intel IDE controllers
is ATA100. For SATA devices this is SATA150. For SATA devices parameters
/UDMA:n and /!UDMA (see section 3.8 for details) have no effect. SATA
devices in DMA mode will always operate in the maximum possible transfer
rate.

5.5. Intel 82801FR and 82801GR support in IBM1S506.ADD
______________________________________________________

IBM1S506.ADD driver supports "R" versions of chipsets (82801FR and 82801GR)
only in legacy mode if the SATA controller is configured to operate as
an IDE controller (in legacy mode) by the system BIOS. If the ICH6R or
ICH7R SATA controller is configured to operate as RAID or if AHCI mode is
enabled, then the IBM1S506 driver will not detect the SATA controller.
The IBM1S506 driver does not support any RAID functionality and the IBM1S506
does not support SATA controllers in AHCI mode.

No non-INTEL SATA controllers supported - and note last line above!

Regards,
Mike
----------------------------------------------------------------------------------